import React from 'react';
import { Navbar } from "react-bootstrap";
import PropTypes from 'prop-types';

import GasTypes from "./GasTypes";

const Footer = (props) => {
  const {
    selectGasType,
    selectedGasType,
  } = props;

  return (
    <Navbar bg="light" variant="light" fixed="bottom">
      <GasTypes selectedGasType={selectedGasType} selectGasType={selectGasType} />
    </Navbar>
  );
};

Footer.propTypes = {
  selectedGasType: PropTypes.string.isRequired,
  selectGasType: PropTypes.func.isRequired,
};

export default Footer;